> For the complete documentation index, see [llms.txt](https://docs.supefina.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.supefina.net/huan-ying-shi-yong-supefina-de-api-wen-dang/cha-xun/dui-zhang-cha-xun.md).

# 对账查询

### 请求地址

<table><thead><tr><th width="138">环境名称</th><th width="607">URL</th></tr></thead><tbody><tr><td>SandBox </td><td><mark style="color:blue;"><code>POST</code></mark><br>https://api.supefina.tech/api/supefina/transactions/search-reconciliation</td></tr><tr><td><mark style="color:red;">正式环境</mark> </td><td><mark style="color:red;"><code>POST</code></mark><br><mark style="color:red;">https://api.supefina.net/api/supefina/transactions/search-</mark>reconciliation</td></tr></tbody></table>

### 请求参数

| Key            | Value              |
| -------------- | ------------------ |
| `Content-Type` | `application/json` |

#### 请求体

<table data-full-width="true"><thead><tr><th width="168">变量名</th><th width="72">必填</th><th width="108">类型</th><th width="259">描述</th></tr></thead><tbody><tr><td>merId</td><td><mark style="color:red;"><code>是</code></mark></td><td><code>String</code></td><td>商户ID<br>商户ID获取路径：Supefina商户后台-商户管理-基本信息-商户ID</td></tr><tr><td>countryId</td><td><mark style="color:red;"><code>是</code></mark></td><td><code>String</code></td><td>国家编号<br>参照：<a href="/pages/17IKBEvxR4cpZue8BRdD#afwzp">字典表-国家编号</a><br>墨西哥：<code>MEX</code></td></tr><tr><td>pageNo</td><td><mark style="color:red;"><code>是</code></mark></td><td><code>int</code></td><td>当前页。默认1</td></tr><tr><td>pageSize</td><td><mark style="color:red;"><code>是</code></mark></td><td><code>int</code></td><td>每页大小。范围：1~800。默认100</td></tr><tr><td>transTime</td><td><mark style="color:red;"><code>是</code></mark></td><td><code>String</code></td><td><p>交易时间。格式：yyyyMMdd，查询当地时间前一天的交易数据。</p><p>如传递20251225则查询20251224的交易数据</p></td></tr><tr><td>transactionType</td><td><mark style="color:red;"><code>是</code></mark></td><td><code>String</code></td><td>交易类型。01代收，02代付</td></tr><tr><td>sign</td><td><mark style="color:red;"><code>是</code></mark></td><td><code>String</code></td><td><a href="/pages/DR0Ieg3d88mBdWrXD882">具体参照：签名算法</a></td></tr></tbody></table>

#### 请求示例

```json
{
    "countryId": "MEX",			
    "merId": "8101930582444795",	
    "pageNo": "1",				
    "pageSize": "100",
    "sign": "C4E3529DA55FD69D79449F3918B19493",
    "transTime": "20250902",	
    "transactionType": "02"		
}

```

签名组装字符串

### 响应参数

<table data-full-width="true"><thead><tr><th width="193">变量名</th><th width="126">类型</th><th>描述</th></tr></thead><tbody><tr><td>code</td><td><code>String</code></td><td>响应编码<br>具体参照：<a href="/pages/j56ENY9y4TEhx8ssOv8a">响应状态码</a></td></tr><tr><td>msg</td><td><code>String</code></td><td>响应信息</td></tr><tr><td>data</td><td>Object</td><td>响应数据</td></tr><tr><td>pageNo</td><td><code>int</code></td><td>当前页</td></tr><tr><td>pageSize</td><td><code>int</code></td><td>分页大小</td></tr><tr><td>total</td><td><code>int</code></td><td>总分页数</td></tr><tr><td>list</td><td><code>list</code></td><td>分页数据结果集</td></tr><tr><td>transTime</td><td><code>String</code></td><td>交易时间。格式：yyyy-mm-dd HH:mm:ss</td></tr><tr><td>transactionType</td><td><code>String</code></td><td><code>01</code>：代收<br><code>02</code>：代付</td></tr><tr><td>merId</td><td><code>String</code></td><td>商户ID</td></tr><tr><td>merOrderNo</td><td><code>String</code></td><td>商户订单号</td></tr><tr><td>supefinaOrderId</td><td><code>String</code></td><td>supefina订单号</td></tr><tr><td>transactionStatus</td><td><code>String</code></td><td><p>交易状态</p><p><a href="/pages/17IKBEvxR4cpZue8BRdD#kxzkj">字典表——交易订单状态</a></p></td></tr><tr><td>orderAmount</td><td>BigDecimal</td><td>订单金额</td></tr><tr><td>realityAmount</td><td>BigDecimal</td><td>实收金额</td></tr><tr><td>fee</td><td>BigDecimal</td><td>预收手续费</td></tr><tr><td>realityFee</td><td>BigDecimal</td><td>实收手续费</td></tr></tbody></table>

#### 响应示例

```json
{
    "code": "200",
    "msg": "success ",
    "data": {
        "pageNo": 1,				
        "pageSize": 100,			
        "total": 1,					
        "list": [
            {
                "transDate": "2025-09-01 07:51:41",
                "transTime": "2025-09-01 07:51:41",	
                "transactionType": "02",
                "merId": "8101930582444795",
                "merOrderNo": "R20250901183100001",	
                "supefinaOrderId": "2025090105020150525a9039dcd4c",	
                "transactionStatus": "01",			
                "orderAmount": "9800.00",			
                "realityAmount": "9800.00",			
                "fee": "990.00",					
                "realityFee": "990.00"				
            },
            {
                "transDate": "2025-09-01 07:52:57",
                "transTime": "2025-09-01 07:52:57",
                "transactionType": "02",
                "merId": "8101930582444795",
                "merOrderNo": "R20250901183100002",
                "supefinaOrderId": "202509010502015cb7a55e4872340",
                "transactionStatus": "01",
                "orderAmount": "4690.00",
                "realityAmount": "4690.00",
                "fee": "479.00",
                "realityFee": "479.00"
            }
        ]
    }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.supefina.net/huan-ying-shi-yong-supefina-de-api-wen-dang/cha-xun/dui-zhang-cha-xun.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
